GEOS: geos::operation::geounion::CascadedUnion Class Reference

GEOS 3.3.8

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
geos::operation::geounion::CascadedUnion Class Reference

Provides an efficient method of unioning a collection of Geometries. More...

`#include <CascadedUnion.h>`

## Public Member Functions
| CascadedUnion (const std::vector< geom::Geometry * > *geoms)
geom::Geometry * | Union ()

## Static Public Member Functions
static geom::Geometry * | Union (std::vector< geom::Geometry * > *geoms)
template<class T >
static geom::Geometry * | Union (T start, T end)

## Detailed Description

Provides an efficient method of unioning a collection of Geometries.

This algorithm is more robust than the simple iterated approach of repeatedly unioning each geometry to a result geometry.

## Constructor & Destructor Documentation

geos::operation::geounion::CascadedUnion::CascadedUnion | ( | const std::vector< geom::Geometry * > * | geoms | ) |
| inline

Creates a new instance to union the given collection of Geometrys.

Parameters

  geoms | a collection of Geometryal Geometrys ownership of elements and vector are left to caller.

## Member Function Documentation

static geom::Geometry* geos::operation::geounion::CascadedUnion::Union | ( | std::vector< geom::Geometry * > * | geoms | ) |
| static

Computes the union of a collection of Geometrys.

Parameters

  geoms | a collection of Geometrys. ownership of elements and vector are left to caller.

template<class T >

static geom::Geometry* geos::operation::geounion::CascadedUnion::Union | ( | T | start,
|  | T | end
| ) |  |
| inlinestatic

Computes the union of a set of Geometrys.

Template Parameters

  T | an iterator yelding something castable to const Geometry *

Parameters

  start | start iterator
  end | end iterator

geom::Geometry* geos::operation::geounion::CascadedUnion::Union | ( |  | ) |

Computes the union of the input geometries.

Returns
  the union of the input geometries
  null if no input geometries were provided

The documentation for this class was generated from the following file:

- CascadedUnion.h